Name:           cpan2rpm
Version:        2.028
Release:        7%{?dist}

Summary:        Perl module packager

Group:          Applications/System
License:        GPLv2+
URL:            http://search.cpan.org/~ecalder/cpan2rpm/
Source0:        http://search.cpan.org/CPAN/authors/id/E/EC/ECALDER/%{name}-%{version}.tar.gz
Patch0:         cpan2rpm-2.024-nonetwork.patch
# fixes #481147, aka http://rt.cpan.org/Public/Bug/Display.html?id=27309
Patch1:         cpan2rpm-Pod-PlainText.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl-libwww-perl
Requires:       rpm-build


%description
cpan2rpm generates RPM packages from Perl modules. It generates the
required SPEC files and builds the packages using rpm. cpan2rpm
automatically downloads the module from CPAN, or it can be built from
local files.


%prep
%setup -q
%patch0 -p2 -b .nonetwork
%patch1 -p0 -b .pod-plaintext


%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make install \
  PERL_INSTALL_ROOT=$RPM_BUILD_ROOT \
  INSTALLARCHLIB=$RPM_BUILD_ROOT%{perl_archlib}
find $RPM_BUILD_ROOT -type f -a \( -name perllocal.pod -o -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README Changes LICENSE
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Mon Mar 30 2009 Stepan Kasal <skasal@redhat.com> - 2.028-6
- Use Pod::PlainText instead of Pod::Text (#481147)

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.028-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 12 2009 Stepan Kasal <skasal@redhat.com> - 2.028-4
- ... and fix patch0 so that it applies with no fuzz.

* Sun Sep 21 2008 Ville Skyttä <ville.skytta at iki.fi> - 2.028-3
- Fix Patch0:/%%patch mismatch.

* Mon Oct 15 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 2.028-2.1
- correct license tag
- add BR: perl(ExtUtils::MakeMaker)

* Mon Oct 09 2006 Gavin Henry <ghenry[AT]suretecsystems.com> - 2.028-2
- FC6 Rebuild

* Fri Feb 24 2006 Gavin Henry <ghenry[AT]suretecsystems.com> - 2.028-1
- New version

* Fri Apr 7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Mar 27 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:2.026-0.fdr.1
- Updated to 2.026.

* Mon Mar 15 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:2.024-0.fdr.1
- Updated to 2.024.

* Mon Jan 26 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> 0:2.022-0.fdr.1
- Updated to 2.022.
- Converted spec file to UTF-8.

* Sat Dec 13 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> 0:2.021-0.fdr.1
- Updated to 2.021.
- Added reqs rpm-build and perl-libwww-perl.
- Updated description.
- Updated URL.
- Added LICENSE file.
- Brought in line with new perl-package template.

* Wed Oct  8 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> 0:2.020-0.fdr.1
- Updated to 2.020.

* Tue Jun  3 2003 Marius Jøhndal <mariuslj at ifi.uio.no> 0:2.019-0.fdr.1
- Updated to 2.019.

* Fri May  2 2003 Marius Jøhndal <mariuslj at ifi.uio.no> 0:2.018-0.fdr.1
- Updated to 2.018.
- Got rid of that pesky "upgrade check" during build.
- Changed group to Applications/System.

* Tue Apr 22 2003 Marius Jøhndal <mariuslj at ifi.uio.no> 0:2.014-0.fdr.3
- Added BuildRequires: perl
- Added epoch.
- Corrected URL.

* Sun Mar 23 2003 Marius Jøhndal <mariuslj at ifi.uio.no> 2.014-0.fdr.2
- Installation fixes for older MakeMaker versions.

* Thu Mar  6 2003 Marius Jøhndal <mariuslj at ifi.uio.no> 2.014-0.fdr.1
- Initial RPM release. Based on RPM generated by cpan2rpm itself.
